---
requires_ansible: ">=2.15.0"
plugin_routing:
    modules:
        dellemc_powerstore_gatherfacts:
            redirect: dellemc.powerstore.info
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use info module instead.
        dellemc_powerstore_cluster:
            redirect: dellemc.powerstore.cluster
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use cluster instead.
        dellemc_powerstore_filesystem:
            redirect: dellemc.powerstore.filesystem
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use filesystem instead.
        dellemc_powerstore_filesystem_snapshot:
            redirect: dellemc.powerstore.filesystem_snapshot
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use filesystem_snapshot instead.
        dellemc_powerstore_host:
            redirect: dellemc.powerstore.host
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use host instead.
        dellemc_powerstore_hostgroup:
            redirect: dellemc.powerstore.hostgroup
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use hostgroup instead.
        dellemc_powerstore_job:
            redirect: dellemc.powerstore.job
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use job instead.
        dellemc_powerstore_local_user:
            redirect: dellemc.powerstore.local_user
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use local_user instead.
        dellemc_powerstore_nasserver:
            redirect: dellemc.powerstore.nasserver
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use nasserver instead.
        dellemc_powerstore_network:
            redirect: dellemc.powerstore.network
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use network instead.
        dellemc_powerstore_nfs:
            redirect: dellemc.powerstore.nfs
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use nfs instead.
        dellemc_powerstore_protectionpolicy:
            redirect: dellemc.powerstore.protectionpolicy
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use protectionpolicy instead.
        dellemc_powerstore_quota:
            redirect: dellemc.powerstore.quota
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use quota instead.
        dellemc_powerstore_replicationrule:
            redirect: dellemc.powerstore.replicationrule
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use replicationrule instead.
        dellemc_powerstore_replicationsession:
            redirect: dellemc.powerstore.replicationsession
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use replicationsession instead.
        dellemc_powerstore_role:
            redirect: dellemc.powerstore.role
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use role instead.
        dellemc_powerstore_smbshare:
            redirect: dellemc.powerstore.smbshare
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use smbshare instead.
        dellemc_powerstore_snapshot:
            redirect: dellemc.powerstore.snapshot
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use snapshot instead.
        dellemc_powerstore_snapshotrule:
            redirect: dellemc.powerstore.snapshotrule
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use snapshotrule instead.
        dellemc_powerstore_volume:
            redirect: dellemc.powerstore.volume
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use volume instead.
        dellemc_powerstore_volumegroup:
            redirect: dellemc.powerstore.volumegroup
            tombstone:
                removal_date: "2024-03-22"
                warning_text: Use volumegroup instead.
